---
search:
  tags:
    - users
    - GET
seo:
  description: >-
    The local users and the OIDC users. The first SSO login of an OIDC user
    adds… Reference for the GET /api/v1/users endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: List the users
  badge: GET
title: List the users
type: openapi-operation
---
The local users and the OIDC users. The first SSO login of an OIDC user adds it.

`GET /api/v1/users`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
[
  {
    "created_at": "2019-08-24T14:15:22Z",
    "disabled": true,
    "display_name": "string",
    "id": "string",
    "last_login_at": "2019-08-24T14:15:22Z",
    "must_change_password": true,
    "role": "none",
    "service_grants": [
      {
        "role": "viewer",
        "service_id": "string"
      }
    ],
    "source": "local",
    "two_factor": true,
    "updated_at": "2019-08-24T14:15:22Z",
    "username": "string"
  }
]
```
